//  Beispiel 10 "Laufschrift mit 64 programmierbaren RGB-Bricks (8 x 8)"
//  
//  Unter Verwendung der IoT Brick Library und der BRK Clock Library

#include <all_IoT.h>
#include <all_BRKclock.h>

void setup()
{
  IoT_Init(true);                                                 // IoT-Brick initialisieren
  t_TerminalInit();                                               // Terminal initialisieren
  BRKclock_Init();                                                // BRK-Clock initialisieren
  BRKclock_TestMatrix(50);                                        // Alle LEDs mit 50 ms. Verzögerung einschalten
  IoT_WaitKeypress(10000, true);                                  // 10 Sekunden warten, kann mit Taster übersprungen werden
  BRKclock_Matrix.begin();                                        // Ausgabe auf der Matrix beginnen
  BRKclock_Matrix.setTextWrap(false);                             // Kein Zeilenumbruch
  BRKclock_Matrix.setTextSize(1);                                 // Normale Textgröße, keine Vergrößerung
  BRKclock_Matrix.setBrightness(100);                             // Helligkeit 100%
}

int x = BRKclock_Matrix.width();                                  // Breite der Matrix (8)
int pass = 1;

void loop()
{
  String letters = "Brick'R'knowledge";
  int L = (len(letters) - 1) * 8;                                 // Breite der Laufschrift insgesamt in Pixel
  BRKclock_Matrix.setTextColor(BRKclock_Matrix8Color[pass]);      // Indizierte Farbe aus 8 Farben auswählen
  BRKclock_Matrix.fillScreen(0);                                  // Alle Pixel ausschalten
  BRKclock_Matrix.setCursor(x, 0);                                // Von unten rechts reinlaufen lassen, x verringert sich im loop()
  BRKclock_Matrix.print(letters);                                 // Laufschrift "Brick'R'knowledge" loslassen...
  if (--x < -L)
  {
    x = BRKclock_Matrix.width();
    if (++pass > 7)                                               // 7 Durchgänge mit 7 Farben, danach wieder von vorne
    {
      pass = 1;
    }
  }
  BRKclock_Matrix.show();
  delay(100);                                                     // 100 ms. warten
}

